---
title: List provisioning regions
description: List provisioning regions
type: api-reference
source: ./openapi/inth-api.json
method: get
path: /v1/regions
operationId: listRegions
server: https://api.inth.com
apiVersion: 1.0.0
tags:
  - Projects
canonicalUrl: https://inth.com/docs/rest-api/projects/list-regions
lastModified: "2026-08-23T09:10:26.417Z"
---
```http
GET /v1/regions
```

Server: `https://api.inth.com`

Operation ID: `listRegions`

## Code Examples

### cURL

```bash
curl -X GET "https://api.inth.com/v1/regions"
```

### JavaScript

```ts
const response = await fetch("https://api.inth.com/v1/regions", {
  method: "GET",
});
const data = await response.json();
```

## Responses

### 200

Regions available for Inth project provisioning.

Content type: application/json

|Property|Type|Required|Description|
|:--|:--|:--|:--|
|`success`|boolean|required||
|`data`|object\[]|required||
|`data[].id`|string|required||
|`data[].label`|string|required||

Example: default

```json
{
  "success": true,
  "data": [
    {
      "id": "us-east-1",
      "label": "US East (N. Virginia)"
    }
  ]
}
```

JSON Schema:

```json
{
  "type": "object",
  "required": [
    "success",
    "data"
  ],
  "properties": {
    "success": {
      "type": "boolean",
      "const": true
    },
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "id",
          "label"
        ],
        "properties": {
          "id": {
            "type": "string"
          },
          "label": {
            "type": "string"
          }
        }
      }
    }
  }
}
```

## Related

* [REST API overview](/docs/rest-api): Every operation in this API.
